## ide-runtime-manager ide-runtime-manager |

## Functions

IdeRuntimeManager * | ide_runtime_manager_from_context ()
IdeRuntime * | ide_runtime_manager_get_runtime ()
void | ide_runtime_manager_add ()
void | ide_runtime_manager_remove ()

## Types and Values

#define | IDE_TYPE_RUNTIME_MANAGER
| IdeRuntimeManager

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeRuntimeManager

## Implemented Interfaces

IdeRuntimeManager implements GListModel and GInitable.

## Description

## Functions

### ide_runtime_manager_from_context ()

    IdeRuntimeManager *
    ide_runtime_manager_from_context (IdeContext *context);

#### Parameters

context | a IdeContext |

#### Returns

an IdeRuntimeManager.

[transfer none]

Since: 3.32

### ide_runtime_manager_get_runtime ()

    IdeRuntime *
    ide_runtime_manager_get_runtime (IdeRuntimeManager *self,
                                     const gchar *id);

Gets the runtime by its internal identifier.

#### Parameters

self | An IdeRuntimeManager |
id | the identifier of the runtime |

#### Returns

An IdeRuntime.

[transfer none]

Since: 3.32

### ide_runtime_manager_add ()

    void
    ide_runtime_manager_add (IdeRuntimeManager *self,
                             IdeRuntime *runtime);

### ide_runtime_manager_remove ()

    void
    ide_runtime_manager_remove (IdeRuntimeManager *self,
                                IdeRuntime *runtime);

## Types and Values

### IDE_TYPE_RUNTIME_MANAGER

    #define IDE_TYPE_RUNTIME_MANAGER (ide_runtime_manager_get_type())

### IdeRuntimeManager

    typedef struct _IdeRuntimeManager IdeRuntimeManager;